Subject: bug#70664: closed (Re: bug#70664: 29.3; vtable-insert-object cannot insert at top of table)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 18 May 2024 08:55:02 +0000

Your bug report

#70664: 29.3; vtable-insert-object cannot insert at top of table

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70664: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70664
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70664: 29.3; vtable-insert-object cannot insert at top of table
From: Eli Zaretskii <[email-masked]>
To: Joost Kremers <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 18 May 2024 11:54:25 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Joost Kremers <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 09 May 2024 18:45:52 +0200
> 
> On Thu, May 09 2024, Eli Zaretskii wrote:
> > This changes a public API, so it does need to be called out in NEWS,
> > just in the section which lists Lisp-level changes.
> 
> OK, I added an entry, now contained in the new patch.
> 
> > A test can be interactive (since the test suite can be run
> > interactively as well), but then please skip the test if it's run in
> > batch mode.
> 
> Actually, once I took out the 'y-or-n-p' calls, it turned out the test runs fine
> non-interactively. I included it in the patch.
> 
> > @code{nil}, in both cases.
> [...]
> > Two spaces between sentences, please.
> 
> Done.
> 
> Here's the new patch.

Thanks, installed on the master branch, and closing the bug.

Subject: 29.3; vtable-insert-object cannot insert at top of table
From: Joost Kremers <[email-masked]>
To: [email-masked]
Date: Tue, 30 Apr 2024 11:30:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The current implementation of `vtable.el` provides the function
`vtable-insert-object` to add an object to the vtable. Its signature is this:

    vtable-insert-object table object &optional after-object

The doc string says that if AFTER-OBJECT is not provided, the new object is
added to the end of the table. This makes it impossible to add an object as the
first element of the table.

Note that although this e-mail is written from Emacs 29.3, the version of
`vtable.el` in master has the same problem.

[All the diagnostic info that `M-x report-emacs-bug` usually gathers should
appear here, but there was a problem with the buffer being read-only. I'll have
to look into that, but for this report, this info isn't relevant, I think.]

TIA

-- 
Joost Kremers
Life has its moments